import { TranslateService } from '@ngx-translate/core';
import { FormField } from '@seniorsistemas/angular-components';
import { Observable } from 'rxjs';
import { CalculationDefinitionService } from '../../core/entities/calculation-definition/calculation-definition.service';
import { VariableEntryService } from '../../core/entities/variable-entry/variable-entry.service';
import { EntityLookupConfigService } from '../../shared/services/entity-lookup-config.service';
export declare class VariableEntryLookupService {
    private translate;
    private configService;
    private variableEntryService;
    private calculationDefinitionService;
    private variableEntryLookupDisplayFields;
    variableEntryLookupSeparator: string;
    private variableEntrySearchSubject;
    private variableEntryLookupSubject;
    private ngUnsubscribe;
    constructor(translate: TranslateService, configService: EntityLookupConfigService, variableEntryService: VariableEntryService, calculationDefinitionService: CalculationDefinitionService);
    getFormField(): FormField;
    setDisplayFields(fields: string[]): void;
    getVariableEntrySearchFields(displayFields?: string[]): FormField[];
    getVariableEntryLookupFields(): FormField[];
    getCalculationDefinitionCalculationTypeField(): FormField;
    getOriginTypeField(): FormField;
    onVariableEntryLookupRequest(event: any): void;
    onVariableEntryLookupRequestObservable(value: string, employeeId?: string): Observable<{
        contents: any[];
        totalElements: number;
    }>;
    onVariableEntrySearchRequest(event: any): void;
    onVariableEntrySearchRequestObservable(event: any, employeeId?: string): Observable<any>;
    private getLabelForMapping;
    private mapToComponent;
    private getFilters;
    private setCalculationDefinitionCalculatioType;
    private setDateForCalculationDefinition;
    private setVariableEntryOriginType;
    getFieldForVariableEntry(item: any, field: any): any;
}
